Loading...
Searching...
No Matches
peripheral::DoorHandleControllerPackage::DoorForcedOpenEvent Struct Reference

Event: A door was opened without unlocking the door handle. More...

Inheritance diagram for peripheral::DoorHandleControllerPackage::DoorForcedOpenEvent:

## Public Attributes

PackageInfo | packageInfo
| package info
int | channel
| channel number (zero-based)
string | doorStateName
| name of the door state sensor (if assigned)
string | doorHandleName
| name of the door handle sensor (if assigned)
string | doorLockName
| name of the door lock actuator (if assigned)
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A door was opened without unlocking the door handle.

The documentation for this struct was generated from the following file:

- PeripheralDevicePackage.idl